
admin_cms_post_list:
    pattern:  /cms/posts/list/{format}.{_format}
    defaults: { _controller: TwtoolsCmsBundle:CmsPostAdmin:list, _format: html, _api: list, format:''}
    requirements:
        _format:  html|xml|json

admin_cms_post_csv:
    pattern:  /cms/posts/excel
    defaults: { _controller: TwtoolsCmsBundle:CmsPostAdmin:list, output:"csv"}

admin_cms_post_delete:
    pattern:  /cms/posts/delete/{id}.{_format}
    defaults: { _controller: TwtoolsCmsBundle:CmsPostAdmin:delete, _format: html, _api: delete}
    requirements:
        _method:  GET
        _format:  html|xml|json
        id:  \d+

admin_cms_post_new:
    pattern:  /cms/posts/new.{_format}
    defaults: { _controller: TwtoolsCmsBundle:CmsPostAdmin:new, _format: html, _api: update}
    requirements:
        _format:  html|xml|json

admin_cms_post_update:
    pattern:  /cms/posts/update/{id}.{_format}
    defaults: { _controller: TwtoolsCmsBundle:CmsPostAdmin:update, _format: html, _api: update}
    requirements:
        _format:  html|xml|json
        id:  \d+

admin_cms_post_ajaxsearch:
    pattern:  /cms/posts/search
    defaults: { _controller: TwtoolsCmsBundle:CmsPostAdmin:search, _format: json}

admin_cms_category_list:
    pattern:  /cms/categories.{_format}
    defaults: { _controller: TwtoolsCmsBundle:CmsCategoryAdmin:list, _format: html, _api: list}
    requirements:
        _format:  html|xml|json

admin_cms_category_csv:
    pattern:  /cms/categories/excel
    defaults: { _controller: TwtoolsCmsBundle:CmsCategoryAdmin:list, output:"csv"}

admin_cms_category_delete:
    pattern:  /cms/categories/delete/{id}.{_format}
    defaults: { _controller: TwtoolsCmsBundle:CmsCategoryAdmin:remove, _format: html, _api: delete}
    requirements:
        _method:  GET
        _format:  html|xml|json
        id:  \d+

admin_cms_category_new:
    pattern:  /cms/categories/new.{_format}
    defaults: { _controller: TwtoolsCmsBundle:CmsCategoryAdmin:new, _format: html, _api: update}
    requirements:
        _format:  html|xml|json

admin_cms_category_update:
    pattern:  /cms/categories/update/{id}.{_format}
    defaults: { _controller: TwtoolsCmsBundle:CmsCategoryAdmin:update, _format: html, _api: update}
    requirements:
        _format:  html|xml|json
        id:  \d+


admin_cms_postxfield_list:
    pattern:  /cms/postxfields.{_format}
    defaults: { _controller: TwtoolsCmsBundle:CmsPostXfieldAdmin:list, _format: html, _api: list}
    requirements:
        _format:  html|xml|json

admin_cms_postxfield_csv:
    pattern:  /cms/postxfields/excel
    defaults: { _controller: TwtoolsCmsBundle:CmsPostXfieldAdmin:list, output:"csv"}

admin_cms_postxfield_delete:
    pattern:  /cms/postxfields/delete/{id}.{_format}
    defaults: { _controller: TwtoolsCmsBundle:CmsPostXfieldAdmin:remove, _format: html, _api: delete}
    requirements:
        _method:  GET
        _format:  html|xml|json
        id:  \d+

admin_cms_postxfield_new:
    pattern:  /cms/postxfields/new.{_format}
    defaults: { _controller: TwtoolsCmsBundle:CmsPostXfieldAdmin:new, _format: html, _api: update}
    requirements:
        _format:  html|xml|json

admin_cms_postxfield_update:
    pattern:  /cms/postxfields/update/{id}.{_format}
    defaults: { _controller: TwtoolsCmsBundle:CmsPostXfieldAdmin:update, _format: html, _api: update}
    requirements:
        _format:  html|xml|json
        id:  \d+

admin_cms_comment_list:
    pattern:  /cms/comments.{_format}
    defaults: { _controller: TwtoolsCmsBundle:CmsCommentAdmin:list, _format: html, _api: list}
    requirements:
        _format:  html|xml|json

admin_cms_comment_csv:
    pattern:  /cms/comments/excel
    defaults: { _controller: TwtoolsCmsBundle:CmsCommentAdmin:list, output:"csv"}

admin_cms_comment_delete:
    pattern:  /cms/comments/delete/{id}.{_format}
    defaults: { _controller: TwtoolsCmsBundle:CmsCommentAdmin:delete, _format: html, _api: delete}
    requirements:
        _method:  GET
        _format:  html|xml|json
        id:  \d+

admin_cms_comment_new:
    pattern:  /cms/comments/new.{_format}
    defaults: { _controller: TwtoolsCmsBundle:CmsCommentAdmin:new, _format: html, _api: update}
    requirements:
        _format:  html|xml|json

admin_cms_comment_update:
    pattern:  /cms/comments/update/{id}.{_format}
    defaults: { _controller: TwtoolsCmsBundle:CmsCommentAdmin:update, _format: html, _api: update}
    requirements:
        _format:  html|xml|json
        id:  \d+
